From 6a5605586d3ea6a265cc99c03dadeb564ddf39ff Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 31 Mar 2020 19:38:24 +0800
Subject: [PATCH 12/77] vcpu_affinity: change err_msg for vcpu_affinity

Change err_msg at vcpu_affinity testcases for openEuler aarch64.

change err_msg = "Invalid argument" for aarch64 vcpu_affinity

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
Signed-off-by: Wang Shengfang <wangshengfang@huawei.com>
---
 libvirt/tests/cfg/cpu/vcpu_affinity.cfg | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/libvirt/tests/cfg/cpu/vcpu_affinity.cfg b/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
index bf1e9df7..db4073fa 100644
--- a/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
+++ b/libvirt/tests/cfg/cpu/vcpu_affinity.cfg
@@ -84,6 +84,8 @@
                             config_xml = "vcpu"
                             start_fail = "yes"
                             err_msg = "Numerical result out of range"
+                            aarch64:
+                                err_msg = "Invalid argument"
                 - cputune:
                     vcpu_cpuset = "0"
                     variants:
@@ -92,6 +94,8 @@
                             config_xml = "cputune"
                             start_fail = "yes"
                             err_msg = "Numerical result out of range"
+                            aarch64:
+                                err_msg = "Invalid argument"
                         - invalid_cpuset:
                             check = "cputune_invalid_cpuset"
                             config_xml = "cputune"
@@ -108,7 +112,7 @@
                             runtime_fail = "yes"
                             offline_hostcpus = "2,3"
                             cputune_cpuset = "3"
-                            err_msg = "error: Invalid value '3' for 'cpuset.cpus'"
+                            err_msg = "Invalid argument"
                         - none_exist_vcpu:
                             check = "cputune_none_exist_vcpu"
                             runtime_fail = "yes"
-- 
2.23.0

